using System;
using System.Collections;
using Server.Network;
using Server.Prompts;
using Server.Items;
using Server.Targeting;
using Server.Multis;
using Server.Mobiles;
using Server.Gumps;

namespace Server.Items
{
	public class ToSTarget : Target
	{
		private PlayerMobile pm;
		private ToS m_Item;

		public ToSTarget( PlayerMobile from, ToS item ) :  base ( 100, false, TargetFlags.None )
		{
			pm = from;
			m_Item = item;			
		}	

		protected override void OnTarget( Mobile from, object target )
		{	
			if( !(target is PlayerMobile) )
			{
				from.SendMessage( "That is not a person. Try again" );
				from.Target = new ToSTarget( pm, m_Item );
			}
			else if ( target is PlayerMobile )
			{
				PlayerMobile grrc = (PlayerMobile)target;
				grrc.SendGump( new ConfirmToSGump(m_Item, from) );	
			}
		}
	}
}